<?php

namespace App\Providers;

use App\Clients\ItgApiClient;
use Illuminate\Support\ServiceProvider;

class ItgApiClientServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     */
    public function register(): void
    {
        $this->app->bind(ItgApiClient::class, function ($app) {
            return new ItgApiClient(
                config('itgapi.base_url'),
                config('itgapi.client_id'),
                config('itgapi.client_secret'),
                config('itgapi.admin_base_url'),
            );
        });

    }

    /**
     * Bootstrap services.
     */
    public function boot(): void
    {
        //
    }
}
